%ifarch x86_64 aarch64
%define	wine	wine64
%define	mark64	()(64bit)
%else
%define	wine	wine
%define	mark64	%{nil}
%endif
%define	lib_name_orig	lib%{name}
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname wine -d

%define have_mingw 0
# Mingw can only be used on x86 (aarch64 listed just for filelist conditional):
%ifarch %{ix86} x86_64 aarch64
%define have_mingw 1
%endif

# On 32-bit we have
# wine32 - those 32-bit binaries that are also used on 64-bit for 32-bit support
# wine - all other files (requires 'wine32')
# On 64-bit we have
# wine64 - all 64-bit files (suggests 'wine32')
# - Anssi 07/2010

%define mainver 8.0
%define mainget 8.0
#define bugfix  0
%define rel     7
#define prerel  rc5
%define snaprel 2

# When altering these, make sure corresponding wine-gecko/wine-mono is
# submitted, or notify their maintainer about the new version:
# Dependencies hardcoded in dlls/appwiz.cpl/addons.c
%define gecko_version	2.47.3
%define mono_version	7.4.0

# build with wine-staging patches, see:  https://github.com/wine-staging/wine-staging
# Build with staging during our development cycles, stick to stable for Mageia stable releases
%global wine_staging 0

%ifarch %{ix86}
%global winepedir i386-windows
%global winesodir i386-unix
%endif
%ifarch x86_64
%global winepedir x86_64-windows
%global winesodir x86_64-unix
%endif
%ifarch %{arm}
%global winepedir arm-windows
%global winesodir arm-unix
%endif
%ifarch aarch64
%global winepedir aarch64-windows
%global winesodir aarch64-unix
%global __brp_llvm_compile_lto_elf %nil
%global __brp_strip_lto %nil
%global __brp_strip_static_archive %nil
%endif


Name:		wine
Epoch:		1
Version:	%{mainver}%{?bugfix:.%{bugfix}}
Release:	%mkrel %{rel}%{?prerel:.%{prerel}.%{snaprel}}
Summary:	WINE Is Not An Emulator - runs MS Windows programs
License:	LGPLv2+
Group:		Emulators
URL:            https://www.winehq.org/
Source0:	https://dl.winehq.org/wine/source/%mainget/%{name}-%{version}%{?prerel:-%{prerel}}.tar.xz
Source10:	https://dl.winehq.org/wine/source/%mainget/%{name}-%{version}%{?prerel:-%{prerel}}.tar.xz.sign
Source2:        wine.systemd
Source3:	%{name}-icons_256.tar.xz

%if 0%{?wine_staging}
Source900:	https://github.com/wine-staging/wine-staging/archive/v%{mainver}%{?prerel:-%{prerel}}/wine-staging-%{mainver}%{?prerel:-%{prerel}}.tar.gz
%endif

# Autoconf 2.72 support - https://bugzilla.redhat.com/show_bug.cgi?id=2143724
Patch100:       wine-7.22-autoconf-2.72.patch

# https://bugs.winehq.org/show_bug.cgi?id=45277
#Patch100:      wine-6.0-vulkan-child-window.patch

# (Anssi 05/2008) Adds:
# a: => /media/floppy
# d: => $HOME (at config_dir creation time, not refreshed if $HOME changes;
#              note that Wine also provides $HOME in My Documents)
# com4 => /dev/ttyUSB0 (replaces /dev/ttyS3)
Patch108:	%{name}-mgaconf.patch

ExclusiveArch:  %{ix86} x86_64 aarch64

BuildRequires:  autoconf
BuildRequires:  bison
BuildRequires:  flex
%ifarch  %{arm} aarch64
BuildRequires:  clang >= 5.0
BuildRequires:  lld
BuildRequires:  llvm
%else
BuildRequires:  gcc
%endif
%if %have_mingw
BuildRequires:  mingw32-FAudio
BuildRequires:  mingw64-FAudio
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-lcms2
BuildRequires:  mingw64-lcms2
BuildRequires:  mingw32-libpng
BuildRequires:  mingw64-libpng
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw64-libxml2
BuildRequires:  mingw32-libxslt
BuildRequires:  mingw64-libxslt
BuildRequires:  mingw32-vkd3d
BuildRequires:  mingw64-vkd3d
BuildRequires:  mingw32-vulkan-headers
BuildRequires:  mingw64-vulkan-headers
BuildRequires:  mingw32-zlib
BuildRequires:  mingw64-zlib
%endif
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-dtd-sgml
BuildRequires:  docbook-utils
BuildRequires:  ffmpeg-devel
BuildRequires:  fontconfig-devel
BuildRequires:  fontforge
BuildRequires:  freetype2-devel
BuildRequires:  gettext-devel
BuildRequires:  glibc-static-devel
BuildRequires:  cups-devel
BuildRequires:  dbus-devel
BuildRequires:  gnutls-devel
BuildRequires:  gphoto2-devel
BuildRequires:  gpm-devel
BuildRequires:  gsm-devel
BuildRequires:  gstreamer1.0-devel
BuildRequires:  gtk3-devel
BuildRequires:  icoutils
BuildRequires:  imagemagick
BuildRequires:  libalsa-devel
BuildRequires:  libgstreamer1.0-plugins-base-devel
BuildRequires:  libmpg123-devel
BuildRequires:  libpcap-devel
BuildRequires:  librsvg
BuildRequires:  libsm-devel
BuildRequires:  libv4l-devel
BuildRequires:  chrpath
BuildRequires:  libva-devel
BuildRequires:  libx11-devel
BuildRequires:  libxcomposite-devel
BuildRequires:  libxcursor-devel
BuildRequires:  libxext-devel
BuildRequires:  libxi-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxrender-devel
BuildRequires:  mesaglu-devel
BuildRequires:  ncurses-devel
BuildRequires:  opencl-devel
BuildRequires:  openldap-devel
BuildRequires:  osmesa-devel
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  png-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  sane-devel
BuildRequires:  sgml-tools
BuildRequires:  tiff-devel
BuildRequires:  ungif-devel
BuildRequires:  unixODBC-devel
BuildRequires:  valgrind-devel
BuildRequires:  xpm-devel

%define desc Wine is a program which allows running Microsoft Windows programs \
(including DOS, Windows 3.x and Win32 executables) on Unix. It \
consists of a program loader which loads and executes a Microsoft \
Windows binary, and a library (called Winelib) that implements Windows \
API calls using their Unix or X11 equivalents.  The library may also \
be used for porting Win32 code into native Unix executables.

%ifarch x86_64 aarch64
%package -n	%{wine}
Summary:	WINE Is Not An Emulator - runs MS Windows programs
Group:		Emulators
Recommends:	%{name}32 = %{epoch}:%{version}-%{release}
Recommends:       mingw32-wine-gecko = %gecko_version
%else
# on 32-bit we always want wine32 package
Requires:	%{name}32 = %{epoch}:%{version}-%{release}
%endif

Provides:	%{wine}-utils = %{epoch}:%{version}-%{release} %{wine}-full = %{epoch}:%{version}-%{release}
Provides:	%{lib_name}-capi = %{epoch}:%{version}-%{release} %{lib_name}-twain = %{epoch}:%{version}-%{release}
Provides:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	wine-bin = %{epoch}:%{version}-%{release}
Obsoletes:	%{wine}-utils %{wine}-full %{lib_name}-capi %{lib_name}-twain
Obsoletes:	%{lib_name} <= %{epoch}:%{version}-%{release}
Recommends:	sane-frontends
%define dlopenreq() %(F=%{_libdir}/lib%{1}.so;[ -e $F ] && (file $F|grep -q ASCII && grep -o 'lib[^ ]*' $F|sed -e "s/\$/%{mark64}/"||objdump -p $F | grep SONAME | awk '{ print $2 "%{mark64}" }') || echo "wine-missing-buildrequires-on-%{1}")
# wine dlopen's these, so let's add the dependencies ourself
# Adding these here is especially important with wine, since wine32 is
# commonly one of the few 32-bit components on a 64-bit installation, so
# these packages might not necessarily be pulled by anything else.
# grep WINE_CHECK_SONAME configure.ac :) (though note that some of those
# results are in autoreq already) - (Anssi 08/2012)
Requires:       %dlopenreq asound
Requires:       %dlopenreq crypto
Requires:       %dlopenreq cups
Requires:       %dlopenreq dbus-1
Requires:       %dlopenreq fontconfig
Requires:       %dlopenreq freetype
Requires:       %dlopenreq gnutls
Requires:       %dlopenreq gsm
Requires:       %dlopenreq jpeg
Requires:       %dlopenreq ncurses
Requires:       %dlopenreq odbc
Requires:       %dlopenreq OSMesa
Requires:       %dlopenreq png
Requires:       %dlopenreq sane
Requires:       %dlopenreq ssl
Requires:       %dlopenreq tiff
Requires:       %dlopenreq v4l1
Requires:       %dlopenreq Xcomposite
Requires:       %dlopenreq Xcursor
Requires:       %dlopenreq Xi
Requires:       %dlopenreq Xinerama
Requires:       %dlopenreq Xrandr
Requires:       %dlopenreq Xrender
Requires:       %dlopenreq Xxf86vm
#Requires:	%%dlopenreq capi20  # ISDN support - unlikely to be needed
# (Anssi) If not installed, wine pops up a dialog on first start proposing to
# download pre-built binaries (unlike wine-gecko, same wine-mono works with
# both wine and wine64):
Recommends:	wine-mono = %mono_version
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils
Requires(post):		desktop-common-data
Requires(postun):	desktop-common-data
Requires(preun):	rpm-helper
Requires(post):		rpm-helper
%ifarch %{ix86}
Conflicts:	%{name}64
%else
Conflicts:	%{name}
%endif
# (tv) needed by games:
Requires:  %{mklibname dri-drivers}
%ifnarch x86_64 aarch64
Requires:  mingw32-FAudio
Requires:  mingw32-lcms2
Requires:  mingw32-libpng
Requires:  mingw32-libxml2
Requires:  mingw32-libxslt
Requires:  mingw32-vkd3d
Requires:  mingw32-zlib
%else
Requires:  mingw64-FAudio
Requires:  mingw64-lcms2
Requires:  mingw64-libpng
Requires:  mingw64-libxml2
Requires:  mingw64-libxslt
Requires:  mingw64-vkd3d
Requires:  mingw64-zlib
%endif

%description
%desc

%ifarch x86_64 aarch64
%description -n	%{wine}
%desc

This package contains the Win64 version of Wine. You need the wine32
package from the 32-bit repository to be able to run 32-bit applications.
%endif

%ifnarch x86_64 aarch64
%package -n	wine32
Summary:	32-bit support for Wine
Group:		Emulators
# This is not an EVR-specific requirement, as otherwise on x86_64 urpmi could
# resolve the dependency to wine64 even on upgrades, and therefore replace
# wine+nwine32 installation with a wine32+wine64 installation. - Anssi
Requires:	%{name}-bin
Conflicts:	%{name} < 1:1.2-0.rc7.1
Conflicts:	%{name}64 < 1:1.2-0.rc7.1
# (Anssi) If wine-gecko is not installed, wine pops up a dialog on first
# start proposing to download wine-gecko from sourceforge, while recommending
# to use distribution packages instead. Therefore suggest wine-gecko here:
Recommends:       mingw64-wine-gecko = %gecko_version

%description -n	wine32
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

This package contains the files needed to support 32-bit Windows
programs.
%endif

%package -n	%{wine}-devel
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires:	%{wine} = %{epoch}:%{version}
Provides:	%{lib_name_devel} = %{epoch}:%{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{lib_name_devel} <= %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d wine 1} < %{epoch}:%{version}
%ifarch %{ix86}
Conflicts:	%{name}64-devel
%else
Conflicts:	%{name}-devel
%endif

%description -n	%{wine}-devel
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

%{wine}-devel contains the libraries and header files needed to
develop programs which make use of wine.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prerel:-%{prerel}}

%if 0%{?wine_staging}
# setup and apply wine-staging patches
gzip -dc %{SOURCE900} | tar -xf - --strip-components=1
./patches/patchinstall.sh --all
%endif

GECKO_VERSION=$(sed -rn 's,^#define\s+GECKO_VERSION\s+"([^"]*)".*$,\1,p' dlls/appwiz.cpl/addons.c)
[ "$GECKO_VERSION" = "%gecko_version" ] || { echo %{name}-gecko version mismatch; exit 1; }
MONO_VERSION=$(sed -rn 's,^#define\s+MONO_VERSION\s+"([^"]*)".*$,\1,p' dlls/appwiz.cpl/addons.c)
[ "$MONO_VERSION" = "%mono_version" ] || { echo wine-mono version mismatch; exit 1; }

%build
autoreconf -vfi

%ifarch %ix86
# (Anssi 04/2008) mdvbug #39604
# Some protection systems complain "debugger detected" with our
# -fomit-frame-pointer flag, so disable it.
# It also causes some crashing issues, and the upstream workaround
# in configure script does not seem to work properly. -Anssi 12/2012
export CFLAGS="%{optflags} -fno-omit-frame-pointer"
%endif

# disable fortify as it breaks wine
# https://bugs.winehq.org/show_bug.cgi?id=24606
# https://bugs.winehq.org/show_bug.cgi?id=25073
# Disable Red Hat specs for package notes (Fedora 38+) and annobin.
# MinGW GCC does not support these options.
export LDFLAGS="$(echo "%{build_ldflags}" | sed -e 's/-Wl,-z,relro//' -e 's/-Wl,--build-id=sha1//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-package-notes//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-annobin-cc1//')"
%ifarch x86_64
export CFLAGS="$(echo "%{optflags}" | sed -e 's/-O2//' -e 's/-Wp,-D_FORTIFY_SOURCE=2//' -e 's/-fcf-protection//' -e 's/-fstack-protector-strong//' -e 's/-fstack-clash-protection//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-annobin-cc1//') -O2"
%else
export CFLAGS="$(echo "%{optflags}" | sed -e 's/-Wp,-D_FORTIFY_SOURCE=2//' -e 's/-fcf-protection//' -e 's/-fstack-protector-strong//' -e 's/-fstack-clash-protection//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-annobin-cc1//')"
%endif

%ifarch  %{arm} aarch64
# Wine enabled -Wl,-WX that turns linker warnings into errors
# Fedora passes '--as-needed' for all binaries and this is a warning from the linker, now an error, so disable flag for now
sed -i 's/-Wl,-WX//g' configure
# ARM64 now requires clang
# https://source.winehq.org/git/wine.git/commit/8fb8cc03c3edb599dd98f369e14a08f899cbff95
export CC="/usr/bin/clang"
# Our build_ldflags have stuff unsupported by lld
export LDFLAGS=$(echo "$LDFLAGS" | sed -e 's/-Wl,-O1//' -e 's/-Wl,--as-needed -Wl,--no-undefined//' -e 's/-Wl,--enable-new-dtags//')
%endif
%ifarch armv7hl
export CFLAGS="`echo $CFLAGS | sed -e 's/-fexceptions//'`"
%endif

# required so that both Linux and Windows development files can be found
unset PKG_CONFIG_PATH

%configure \
		--with-x \
		--with-dbus \
		--with-pulse \
%ifarch %{arm}
		--with-float-abi=hard \
%endif
%ifarch x86_64 aarch64
		--enable-win64 \
%ifarch x86_64
 --with-system-dllpath=%{mingw64_bindir} \
%endif
%endif
%ifarch %{ix86}
 --with-system-dllpath=%{mingw32_bindir} \
 %endif
 %{?wine_staging: --with-xattr} \
		--disable-tests

%make_build depend
%make_build

%install
%make_install LDCONFIG=/bin/true

%ifarch aarch64
mv %{buildroot}%{_bindir}/wine %{buildroot}%{_bindir}/wine64
mv %{buildroot}%{_bindir}/wine-preloader %{buildroot}%{_bindir}/wine64-preloader
%endif

# remove rpath
chrpath --delete %{buildroot}%{_bindir}/wmc
chrpath --delete %{buildroot}%{_bindir}/wrc
%ifarch x86_64 aarch64
chrpath --delete %{buildroot}%{_bindir}/wine64
chrpath --delete %{buildroot}%{_bindir}/wineserver
%else
chrpath --delete %{buildroot}%{_bindir}/wine
chrpath --delete %{buildroot}%{_bindir}/wineserver
%endif

# Allow users to launch Windows programs by just clicking on the .exe file...
mkdir -p %{buildroot}%{_binfmtdir}
install -p -c -m 644 %{SOURCE2} %{buildroot}%{_binfmtdir}/wine.conf

mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
cat > %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu <<EOF
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
"https://www.freedesktop.org/standards/menu-spec/menu-1.0.dtd">
<Menu>
    <Name>Applications</Name>
    <Menu>
        <Name>Tools</Name>
        <Menu>
            <Name>Emulators</Name>
            <Menu>
                <Name>Wine</Name>
                <Directory>%{name}.directory</Directory>
                <Include>
                    <Category>X-Wine</Category>
                </Include>
            </Menu>
        </Menu>
    </Menu>
</Menu>
EOF

mkdir -p %{buildroot}%{_datadir}/desktop-directories
cat > %{buildroot}%{_datadir}/desktop-directories/%{name}.directory <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Wine
Icon=%{name}
Type=Directory
EOF

mkdir -p %{buildroot}%{_datadir}/applications
for i in	winecfg:Wine\ Configuration:winecfg \
		notepad:Wine\ Notepad:notepad \
		winefile:Wine\ File\ Manager:winefile \
		regedit:Wine\ Registry\ Editor:regedit \
		winemine:Wine\ Minesweeper:winemine \
		wineboot:Wine\ Reboot:wine \
		"wineconsole cmd":Wine\ Command\ Line:wine \
		"wine uninstaller":Wine\ Software\ Uninstaller:msiexec \
		"wine wordpad":Wine\ Wordpad:wordpad \
		"wine winhlp32":Wine\ WinHelp:winhelp \
		"wine oleview":Wine\ OLE\ View:wine;
do cat > %{buildroot}%{_datadir}/applications/%{name}-`echo $i|cut -d: -f1|sed s/"%{name} "//g`.desktop << EOF
[Desktop Entry]
Name=`echo $i|cut -d: -f2`
Comment=`echo $i|cut -d: -f2`
Exec=`echo $i|cut -d: -f1`
Icon=`echo $i|cut -d: -f3`
Terminal=false
Type=Application
Categories=X-Wine;
EOF
done

# Use Category=Wine instead of the previous workaround (Category=Emulator)
desktop-file-install	--add-mime-type=application/x-zip-compressed \
			--remove-mime-type=application/x-zip-compressed \
			--add-category=X-Wine \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%ifarch x86_64 aarch64
# fix the binary name
sed -i 's,Exec=wine ,Exec=wine64 ,' %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
tar -Jxf %{SOURCE3} -C %{buildroot}%{_iconsdir}/hicolor/256x256/apps/

%ifarch x86_64 aarch64
cat > README.install.urpmi <<EOF
This is the Win64 version of Wine. This version can only be used to run
64-bit Windows applications as is. For running 32-bit Windows applications,
you need to also install the 'wine32' package from the 32-bit repository.
EOF
%endif

%files -n %{wine}
%doc ANNOUNCE AUTHORS README
%config %{_binfmtdir}/wine.conf
%ifarch x86_64 aarch64
%doc README.install.urpmi
%{_bindir}/%{name}64
%{_bindir}/%{name}64-preloader
%endif
%{_bindir}/winecfg
%{_bindir}/wineconsole*
%{_bindir}/wineserver
%{_bindir}/wineboot
%{_bindir}/function_grep.pl
%if 0%{?wine_staging}
%{_bindir}/msidb
%endif
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/regedit
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/regsvr32
%{_bindir}/winefile
%ifnarch x86_64
%{_mandir}/man?/%{name}.?*
%lang(de) %{_mandir}/de.UTF-8/man?/%{name}.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/%{name}.?*
%lang(pl) %{_mandir}/pl.UTF-8/man?/%{name}.?*
%endif
%lang(de) %{_mandir}/de.UTF-8/man?/wineserver.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/wineserver.?*
%{_mandir}/man?/wineserver.?*
%{_mandir}/man?/msiexec.?*
%{_mandir}/man?/notepad.?*
%{_mandir}/man?/regedit.?*
%{_mandir}/man?/regsvr32.?*
%{_mandir}/man?/wineboot.?*
%{_mandir}/man?/winecfg.?*
%{_mandir}/man?/wineconsole.?*
%{_mandir}/man?/winefile.?*
%{_mandir}/man?/winemine.?*
%{_mandir}/man?/winepath.?*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.inf
%{_datadir}/%{name}/nls
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu
%{_datadir}/desktop-directories/%{name}.directory
%dir %{_datadir}/wine/fonts
%{_datadir}/wine/fonts/*
%{_iconsdir}/hicolor/*/apps/*.png

%ifnarch x86_64 aarch64
%files -n wine32
%{_bindir}/wine
%ifarch %{ix86} %arm
%{_bindir}/wine-preloader
%endif
%{_mandir}/man?/%{name}.?*
%lang(de) %{_mandir}/de.UTF-8/man?/%{name}.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/%{name}.?*
%lang(pl) %{_mandir}/pl.UTF-8/man?/%{name}.?*
%endif

%{_libdir}/%{name}/%{winesodir}/libwine*.so.%{lib_major}{,.*}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{winesodir}/*dll.so
%{_libdir}/%{name}/%{winesodir}/avicap32.so
%{_libdir}/%{name}/%{winesodir}/bcrypt.so
%{_libdir}/%{name}/%{winesodir}/crypt32.so
%{_libdir}/%{name}/%{winesodir}/ctapi32.so
%{_libdir}/%{name}/%{winesodir}/dnsapi.so
%{_libdir}/%{name}/%{winesodir}/dwrite.so
%{_libdir}/%{name}/%{winesodir}/gphoto2.so
%{_libdir}/%{name}/%{winesodir}/kerberos.so
%{_libdir}/%{name}/%{winesodir}/localspl.so
%{_libdir}/%{name}/%{winesodir}/mountmgr.so
%{_libdir}/%{name}/%{winesodir}/msv1_0.so
%{_libdir}/%{name}/%{winesodir}/netapi32.so
%{_libdir}/%{name}/%{winesodir}/nsiproxy.so
%{_libdir}/%{name}/%{winesodir}/ntdll.so
%{_libdir}/%{name}/%{winesodir}/nsiproxy.so
%{_libdir}/%{name}/%{winesodir}/odbc32.so
%{_libdir}/%{name}/%{winesodir}/opencl.so
%{_libdir}/%{name}/%{winesodir}/opengl32.so
%{_libdir}/%{name}/%{winesodir}/qcap.so
%{_libdir}/%{name}/%{winesodir}/sane.so
%{_libdir}/%{name}/%{winesodir}/secur32.so
%{_libdir}/%{name}/%{winesodir}/win32u.so
%{_libdir}/%{name}/%{winesodir}/winealsa.so
%{_libdir}/%{name}/%{winesodir}/winebus.so
%{_libdir}/%{name}/%{winesodir}/winegstreamer.so
%{_libdir}/%{name}/%{winesodir}/winepulse.so
%{_libdir}/%{name}/%{winesodir}/wineusb.so
%{_libdir}/%{name}/%{winesodir}/winevulkan.so
%{_libdir}/%{name}/%{winesodir}/winex11.so
%{_libdir}/%{name}/%{winesodir}/winspool.so
%{_libdir}/%{name}/%{winesodir}/wpcap.so
%{_libdir}/%{name}/%{winesodir}/ws2_32.so

# PE format objects.
%if %have_mingw
%{_libdir}/%{name}/*/light.msstyles*
%{_libdir}/%{name}/%{winepedir}/*.acm
%{_libdir}/%{name}/%{winepedir}/*.ax
%{_libdir}/%{name}/%{winepedir}/*.cpl
%{_libdir}/%{name}/%{winepedir}/*.dll
%{_libdir}/%{name}/%{winepedir}/*.drv
%{_libdir}/%{name}/%{winepedir}/*.ds
%{_libdir}/%{name}/%{winepedir}/*.exe
%{_libdir}/%{name}/%{winepedir}/*.com
%{_libdir}/%{name}/%{winepedir}/*.ocx
%{_libdir}/%{name}/%{winepedir}/*.sys
%{_libdir}/%{name}/%{winepedir}/*.tlb
%endif
%ifarch %{ix86}
%{_libdir}/%{name}/%{winepedir}/*.dll16
%{_libdir}/%{name}/%{winepedir}/*.drv16
%{_libdir}/%{name}/%{winepedir}/*.exe16
%{_libdir}/%{name}/%{winepedir}/*.mod16
%{_libdir}/%{name}/%{winepedir}/*.vxd
%endif

%files -n %{wine}-devel
%{_libdir}/%{name}/%{winesodir}/*.a
%if %have_mingw
%{_libdir}/wine/%{winepedir}/*.a
%endif
%{_includedir}/*
%{_bindir}/msidb
%{_bindir}/wmc
%{_bindir}/wrc
%{_bindir}/winebuild
%{_bindir}/winegcc
%{_bindir}/wineg++
%{_bindir}/winecpp
%{_bindir}/widl
%{_bindir}/winedbg
%{_bindir}/winemaker
%{_bindir}/winedump
%lang(de) %{_mandir}/de.UTF-8/man?/winemaker.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/winemaker.?*
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/winemaker.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/widl.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/wineg++.1*
%{_mandir}/man1/winegcc.1*
%{_mandir}/man1/winecpp.1*


%changelog
* Mon Jan 30 2023 tv <tv> 1:8.0-7.mga9
+ Revision: 1937043
- 8.0 final

* Mon Jan 23 2023 tv <tv> 1:8.0-6.rc5.2.mga9
+ Revision: 1935406
- 8.0 RC5
- One more fix for --as-needed
- armv7 would need clang too

* Sun Jan 15 2023 tv <tv> 1:8.0-6.rc4.2.mga9
+ Revision: 1933462
- 8.0 RC4
- Re-enable aarch64 again
+ pterjan <pterjan>
- Fix LDFLAGS on aarch64 to be compatible with lld which we use there

* Fri Dec 23 2022 tv <tv> 1:8.0-5.rc2.1.mga9
+ Revision: 1926129
- Re-enable aarch64 again
- Disable aarch64 again
- 8.0~rc2
- Re-enable aarch64

* Mon Dec 12 2022 ns80 <ns80> 1:8.0-4.rc1.1.mga9
+ Revision: 1921122
- rebuild for new libtiff

* Sat Dec 10 2022 tv <tv> 1:8.0-3.rc1.1.mga9
+ Revision: 1920478
- Temporary excludes aarch64
- 8.0-rc1
- Bump rel for silly BS
- Fixes for ARM64 build
- 7.22
- 7.21

* Sat Nov 05 2022 tv <tv> 1:7.20-5.mga9
+ Revision: 1903717
- 7.20

* Sun Oct 23 2022 tv <tv> 1:7.18-5.mga9
+ Revision: 1898627
- 7.18
- Require MinGW FAudio

* Tue Sep 20 2022 tv <tv> 1:7.16-5.mga9
+ Revision: 1890719
- Recommends instead of requires mingw-wine-gecko (BS deps cycle)

* Mon Sep 19 2022 tv <tv> 1:7.16-4.mga9
+ Revision: 1890467
- Switch to mingw-wine-gecko
- Pull mesa drivers rather than just libGL.so

* Sun Sep 18 2022 tv <tv> 1:7.16-3.mga9
+ Revision: 1889718
- Pull libGL for 32bit games
- Always require mingw libs, they're needed on 32 bit too

* Sat Sep 17 2022 tv <tv> 1:7.16-2.mga9
+ Revision: 1889492
- 7.16

* Mon Aug 15 2022 tv <tv> 1:7.15-2.mga9
+ Revision: 1878015
- Reenable mingw on aarch64 for filelist (sigh)
- 7.15
- Exclude arm 32bit as there's nothing to use and it fails to build
- Mingw is not used on arm, clang is used
- Remove the aarch64 errors descr now that it's fixed

* Thu Jul 21 2022 tv <tv> 1:7.12-3.mga9
+ Revision: 1869713
- Do not use --with-system-dllpath= on arm/aarch64
- BR clang on armv7 too

* Wed Jul 20 2022 tv <tv> 1:7.12-2.mga9
+ Revision: 1869596
- Add deps on needed mingw pkgs
- BR mingw-vk3d rather than libvkd3d
- 7.12
- Explain the failure on aarch64

* Wed Jun 29 2022 tv <tv> 1:7.11-1.mga9
+ Revision: 1866572
- 7.11

* Fri Jun 10 2022 tv <tv> 1:7.10-1.mga9
+ Revision: 1863887
- 7.10
- Disable aarch64 again
- Try to re-enable aarch64

* Tue May 24 2022 tv <tv> 1:7.9-1.mga9
+ Revision: 1859996
- 7.9

* Fri May 13 2022 tv <tv> 1:7.8-7.mga9
+ Revision: 1857967
- Fix deps: we use mingw-xslt now

* Fri May 13 2022 tv <tv> 1:7.8-6.mga9
+ Revision: 1857862
- Temporary restrict to x86
- 7.8
- Try building w/o mingw-zlib
- 7.7
- 7.6

* Thu Mar 31 2022 tv <tv> 1:7.5-3.mga9
+ Revision: 1836926
- Use mingw on arm aarch64 too
- Fix filelist on arm/aarch64
- Disable parallel build
- 7.5
- Temporary disable ming stack on arm
- BR llvm & lld on aarch64 for PE cross-compilation
- 7.4
- 7.3

* Wed Feb 16 2022 tv <tv> 1:7.2-1.mga9
+ Revision: 1777966
- 7.2

* Mon Jan 31 2022 tv <tv> 1:7.1-1.mga9
+ Revision: 1770710
- 7.1
- 7.0

* Sun Jan 09 2022 tv <tv> 1:7.0-1.rc5.1.mga9
+ Revision: 1767329
- 7.0 RC5

* Mon Jan 03 2022 tv <tv> 1:7.0-1.rc4.1.mga9
+ Revision: 1766365
- 7.0 RC4

* Mon Dec 27 2021 tv <tv> 1:7.0-1.rc3.1.mga9
+ Revision: 1764517
- 7.0 RC3

* Sun Dec 19 2021 tv <tv> 1:7.0-1.rc2.1.mga9
+ Revision: 1762544
- 7.0 RC2

* Wed Dec 15 2021 tv <tv> 1:7.0-1.rc1.1.mga9
+ Revision: 1762179
- 7.0 RC1

* Mon Dec 06 2021 tv <tv> 1:6.23-2.mga9
+ Revision: 1760861
- 6.23

* Fri Dec 03 2021 tv <tv> 1:6.22-2.mga9
+ Revision: 1760609
- 6.22

* Sat Nov 13 2021 tv <tv> 1:6.21-2.mga9
+ Revision: 1756213
- 6.21

* Tue Oct 12 2021 tv <tv> 1:6.19-2.mga9
+ Revision: 1750664
- 6.19

* Sat Oct 02 2021 wally <wally> 1:6.18-2.mga9
+ Revision: 1747469
- rebuild for openssl 3.0.0

* Wed Sep 29 2021 tv <tv> 1:6.18-1.mga9
+ Revision: 1746877
- 6.18
- 6.17

* Wed Sep 01 2021 rapsys <rapsys> 1:6.16-8.mga9
+ Revision: 1743884
- Fix build on arm
- Fix build on arm

* Wed Sep 01 2021 rapsys <rapsys> 1:6.16-7.mga9
+ Revision: 1743882
- Remove preun and post scripts

* Wed Sep 01 2021 rapsys <rapsys> 1:6.16-6.mga9
+ Revision: 1743881
- Remove useless wine init script as systemd-binfmt.service already register windows and windowsPE from config file

* Mon Aug 30 2021 tv <tv> 1:6.16-5.mga9
+ Revision: 1743564
- 6.16

* Wed Jul 21 2021 tv <tv> 1:6.13-5.mga9
+ Revision: 1737300
- 6.13

* Fri Jul 09 2021 tv <tv> 1:6.12-5.mga9
+ Revision: 1735345
- Update to 6.12

* Mon Jun 21 2021 tv <tv> 1:6.11-4.mga9
+ Revision: 1731599
- 6.11

* Wed Jun 09 2021 tv <tv> 1:6.10-4.mga9
+ Revision: 1730224
- Use mingw on arm too
- 6.10
- Adjust to new layout
- 6.9
- Temporary disable vulkan #45277 patch
- 6.8

* Mon Apr 26 2021 tv <tv> 1:6.7-1.mga9
+ Revision: 1719792
- 6.7

* Mon Apr 12 2021 tv <tv> 1:6.6-1.mga9
+ Revision: 1715169
- Bump needed mono version
- 6.6

* Sat Mar 27 2021 tv <tv> 1:6.5-1.mga9
+ Revision: 1710849
- 6.5

* Mon Mar 15 2021 tv <tv> 1:6.4-1.mga9
+ Revision: 1703211
- 6.4

* Sun Feb 28 2021 tv <tv> 1:6.3-1.mga9
+ Revision: 1693300
- bump needed mono version
- 6.0

* Fri Jan 15 2021 tv <tv> 1:6.0-3.mga8
+ Revision: 1671912
- 6.0

* Sun Jan 10 2021 tv <tv> 1:6.0-2.rc6.1.mga8
+ Revision: 1671005
- 6.0 RC6

* Fri Jan 08 2021 tv <tv> 1:6.0-2.rc5.1.mga8
+ Revision: 1669761
- 6.0 RC5

* Sun Dec 27 2020 tv <tv> 1:6.0-2.rc4.1.mga8
+ Revision: 1664216
- 6.0 RC4

* Sat Dec 19 2020 tv <tv> 1:6.0-2.rc3.1.mga8
+ Revision: 1661221
- 6.0 RC3

* Sat Dec 12 2020 tv <tv> 1:6.0-2.rc2.1.mga8
+ Revision: 1655833
- 6.0 RC2
- add binfmt config file
- enable xattr when using staging patches
- mingw only works on x86
- try PE builds on arm
- factorize all PE related %%ifarch with a conditional

* Tue Dec 08 2020 tv <tv> 1:6.0-1.rc1.1.mga8
+ Revision: 1654634
- further fix file list for ARM (no PE)
- fix file list for ARM (no PE)
- 6.0 RC1
+ akien <akien>
- Build with mingw support (thanks NyB on IRC for the patch)
- Rebuild for llvm 11

* Mon Nov 23 2020 tv <tv> 1:5.22-1.mga8
+ Revision: 1648826
- fix file list
- 5.22

* Wed Nov 11 2020 tv <tv> 1:5.21-1.mga8
+ Revision: 1644660
- Disable ISDN support as isdn4k was droped from distro
- 5.21

* Sun Oct 25 2020 akien <akien> 1:5.20-1.mga8
+ Revision: 1639459
- Version 5.20

* Sat Oct 24 2020 wally <wally> 1:5.19-2.mga8
+ Revision: 1639150
- update autoconf patch

* Thu Oct 22 2020 wally <wally> 1:5.19-1.mga8
+ Revision: 1638526
- fix build with recent autoconf
+ tv <tv>
- 5.19

* Tue Apr 28 2020 tv <tv> 1:5.7-2.mga8
+ Revision: 1572654
- 5.7

* Sun Apr 26 2020 wally <wally> 1:5.3-2.mga8
+ Revision: 1572324
- drop prelink BS

* Sat Feb 29 2020 tv <tv> 1:5.3-1.mga8
+ Revision: 1552064
- 5.3

* Thu Feb 20 2020 umeabot <umeabot> 1:5.2-2.mga8
+ Revision: 1547650
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 tv <tv> 1:5.2-1.mga8
+ Revision: 1536942
- adjust file list
- 5.2

* Sun Feb 09 2020 daviddavid <daviddavid> 1:5.1-1.mga8
+ Revision: 1488203
- new version: 5.1

* Sat Jan 25 2020 tv <tv> 1:5.0-2.mga8
+ Revision: 1482759
- new release + rebuild for new p11-kit

* Sat Jan 18 2020 tv <tv> 1:5.0-1.rc6.1.mga8
+ Revision: 1481384
- 5.0 RC6
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 11 2020 tv <tv> 1:5.0-1.rc5.1.mga8
+ Revision: 1477583
- 5.0 RC5

* Sat Jan 04 2020 tv <tv> 1:5.0-1.rc4.1.mga8
+ Revision: 1476516
- 5.0 RC4
- 5.0-RC2

* Sun May 19 2019 akien <akien> 1:4.0.1-1.mga7
+ Revision: 1398510
- Version 4.0.1

* Mon Apr 15 2019 akien <akien> 1:4.0-4.mga7
+ Revision: 1390805
- Rebuild for llvm 8.0.0

* Sun Feb 10 2019 akien <akien> 1:4.0-3.mga7
+ Revision: 1365119
- Rebuild without staging, we now stick to stable for mga7

* Wed Jan 23 2019 akien <akien> 1:4.0-2.mga7
+ Revision: 1360021
- Version 4.0

* Sat Jan 19 2019 tv <tv> 1:4.0-1.rc7.1.mga7
+ Revision: 1358156
- bump needed mono_version
- 4.0 RC7
- wine-staging-4.0-rc6
- wine 4.0 RC6

* Tue Jan 08 2019 tv <tv> 1:4.0-1.rc5.4.mga7
+ Revision: 1352467
- reenable staging patches

* Sat Jan 05 2019 tv <tv> 1:4.0-1.rc5.3.mga7
+ Revision: 1349524
- 4.0 RC5
- 4.0 RC5

* Wed Jan 02 2019 tv <tv> 1:4.0-1.rc4.3.mga7
+ Revision: 1348469
- 4.0 RC4

* Tue Dec 11 2018 akien <akien> 1:4.0-1.rc1.3.mga7
+ Revision: 1340243
- Rebuild to pick updated spirv-tools/vkd3d on armv7hl

* Tue Dec 11 2018 akien <akien> 1:4.0-1.rc1.2.mga7
+ Revision: 1340223
- Add Vulkan and vkd3d support
- Add ffmpeg as BR for better audio support

* Mon Dec 10 2018 akien <akien> 1:4.0-1.rc1.1.mga7
+ Revision: 1339659
- Version 4.0-rc1

* Tue Oct 16 2018 wally <wally> 1:3.13-5.mga7
+ Revision: 1321152
- add build support for aarch64

* Sun Sep 23 2018 umeabot <umeabot> 1:3.13-4.mga7
+ Revision: 1301669
- Mageia 7 Mass Rebuild

* Mon Jul 23 2018 akien <akien> 1:3.13-3.mga7
+ Revision: 1244963
- Version 3.13 (requires wine-mono 4.7.3)

* Mon Jun 18 2018 akien <akien> 1:3.10-3.mga7
+ Revision: 1237769
- Version 3.10

* Tue May 15 2018 akien <akien> 1:3.8-3.mga7
+ Revision: 1229701
- Enable staging for Cauldron (should be disabled again before Mageia 7 release)

* Mon May 14 2018 akien <akien> 1:3.8-2.mga7
+ Revision: 1229565
- Set --with-float-abi=hard on arm

* Mon May 14 2018 akien <akien> 1:3.8-1.mga7
+ Revision: 1229486
- Version 3.8
- Version 3.6

* Sat Feb 17 2018 akien <akien> 1:3.2-1.mga7
+ Revision: 1202109
- Version 3.2
- Disable staging, no patches for 3.x yet

* Sun Oct 15 2017 tv <tv> 1:2.18-1.mga7
+ Revision: 1171976
- new release

* Sat Aug 26 2017 akien <akien> 1:2.15-1.mga7
+ Revision: 1148089
- Bump wine-mono version to 4.7.1
- Version 2.15

* Mon Jul 17 2017 akien <akien> 1:2.12-1.mga7
+ Revision: 1124380
- Version 2.12, requires wine-mono 4.7.0
- Enable staging patches for Cauldron

* Sat Jul 01 2017 akien <akien> 1:2.0.1-1.mga6
+ Revision: 1108874
- Version 2.0.1
- Disable staging patches on the stable branch

* Fri Mar 10 2017 akien <akien> 1:2.0-4.mga6
+ Revision: 1091638
- Rebuild for v4l-utils 1.12.3

* Wed Mar 01 2017 ghibo <ghibo> 1:2.0-3.mga6
+ Revision: 1088293
- Rebuilt against pulseaudio 10

* Sun Feb 19 2017 daviddavid <daviddavid> 1:2.0-2.mga6
+ Revision: 1086867
- switch to gstreamer1.0 support
- enable gtk3, libpcap and libva support

* Thu Jan 26 2017 akien <akien> 1:2.0-1.mga6
+ Revision: 1083468
- Version 2.0
- Remove P109 for wine gecko and mono versions, we have the proper ones
+ tv <tv>
- new release

* Sat Sep 24 2016 daviddavid <daviddavid> 1:1.8.4-2.mga6
+ Revision: 1055643
- add patch to adapt wine with our current wine-mono 4.6.3 and wine-gecko 2.44 version

* Thu Sep 22 2016 daviddavid <daviddavid> 1:1.8.4-1.mga6
+ Revision: 1055125
- new version: 1.8.4

* Fri Mar 04 2016 pterjan <pterjan> 1:1.8-6.mga6
+ Revision: 985586
- wine-preloader does not seem to exist on arm

* Fri Mar 04 2016 pterjan <pterjan> 1:1.8-5.mga6
+ Revision: 985554
- Fix other ifarch for non ix86 arch

* Fri Mar 04 2016 pterjan <pterjan> 1:1.8-4.mga6
+ Revision: 985541
- Fix file list on non x86_64 non ix86 arch

* Thu Mar 03 2016 umeabot <umeabot> 1:1.8-3.mga6
+ Revision: 984750
- Rebuild for openssl

* Sat Jan 16 2016 akien <akien> 1:1.8-2.mga6
+ Revision: 924627
- Loader man pages are only installed on 32-bit
- Version 1.8
+ luigiwalser <luigiwalser>
- rebuild for gnutls
+ joequant <joequant>
- rebuild with new mesa
+ tv <tv>
- new release
- new release

* Mon Aug 24 2015 tv <tv> 1:1.7.49-1.mga6
+ Revision: 869058
- new release

* Sun Aug 02 2015 cjw <cjw> 1:1.7.48-1.mga6
+ Revision: 860732
- 1.7.48

* Sun Jul 26 2015 tv <tv> 1:1.7.47-1.mga6
+ Revision: 857921
- new release

* Mon Jun 29 2015 tv <tv> 1:1.7.46-1.mga6
+ Revision: 847307
- new release

* Sun Jun 21 2015 tv <tv> 1:1.7.45-1.mga6
+ Revision: 837965
- new release
- add staging patches

* Sun Feb 22 2015 anaselli <anaselli> 1:1.7.30-1.mga6
+ Revision: 816567
- Updated tp 1.7.30 last version that is compatible with wine-gecko 2.24
- rebuilt for new libgphoto2
+ dams <dams>
- new version 1.7.29
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Sep 06 2014 tv <tv> 1:1.7.26-2.mga5
+ Revision: 672543
- new release

* Sat Aug 23 2014 dams <dams> 1:1.7.25-2.mga5
+ Revision: 666707
- new version 1.7.25

* Fri Aug 15 2014 dams <dams> 1:1.7.24-2.mga5
+ Revision: 662635
- new version 1.7.24

* Sun Aug 03 2014 luigiwalser <luigiwalser> 1:1.7.22-2.mga5
+ Revision: 659477
- fix lcms BR (should be lcms2)

* Wed Jul 23 2014 dams <dams> 1:1.7.22-1.mga5
+ Revision: 655810
- new version 1.7.22

* Sat May 17 2014 dams <dams> 1:1.7.19-1.mga5
+ Revision: 623329
- new version 1.7.19

* Fri May 02 2014 dams <dams> 1:1.7.18-1.mga5
+ Revision: 619710
- new version 1.7.18

* Mon Apr 28 2014 dams <dams> 1:1.7.17-1.mga5
+ Revision: 618739
- new version 1.7.17

* Sat Apr 26 2014 akien <akien> 1:1.7.16-2.mga5
+ Revision: 618167
- Using X-Wine instead of Wine category to satisfy desktop-file-validate
- Use Wine desktop category instead of Emulator, to fix duplicate Emulators and Wine menu entries

* Fri Apr 04 2014 dams <dams> 1:1.7.16-1.mga5
+ Revision: 611774
- new version 1.7.16

* Sat Mar 22 2014 dams <dams> 1:1.7.15-1.mga5
+ Revision: 606596
- new version 1.7.15

* Sat Mar 08 2014 dams <dams> 1:1.7.14-1.mga5
+ Revision: 601288
- new version 1.7.14

* Thu Feb 27 2014 dams <dams> 1:1.7.13-1.mga5
+ Revision: 597583
- new version 1.7.13

* Thu Feb 13 2014 dams <dams> 1:1.6.2-2.mga5
+ Revision: 590100
- fix file list (man page in the wrong subpackage) as requested on mga#12741

* Tue Feb 04 2014 dams <dams> 1:1.6.2-1.mga5
+ Revision: 580644
- new version 1.6.2

* Tue Dec 24 2013 dams <dams> 1:1.6.1-2.mga4
+ Revision: 560279
- add a patch from 1.7.x to fix broken InternetReadFile() mga#11865

* Sun Nov 17 2013 tv <tv> 1:1.6.1-1.mga4
+ Revision: 551657
- drop merged patch
- new release
- drop special gcc BR on x86_64

* Sat Nov 16 2013 tv <tv> 1:1.6-3.mga4
+ Revision: 551527
- fix build with faked libncurses.so

* Sat Sep 21 2013 dams <dams> 1:1.6-2.mga4
+ Revision: 482706
- add a patch for wine to build with bison 3.0 (from upstream)

* Fri Jul 19 2013 dams <dams> 1:1.6-1.mga4
+ Revision: 456208
- new version 1.6

* Fri Jul 12 2013 tv <tv> 1:1.6-0.rc5.1.mga4
+ Revision: 453568
- RC5

* Sat Jun 29 2013 tv <tv> 1:1.6-0.rc4.4.mga4
+ Revision: 448302
- RC4

* Tue Jun 25 2013 dams <dams> 1:1.6-0.rc3.4.mga4
+ Revision: 446611
- remove X-MandrivaLinux-MoreApplications-Emulators-Wine
- update 'Name' in .desktop

* Tue Jun 25 2013 dams <dams> 1:1.6-0.rc3.3.mga4
+ Revision: 446579
- remove useless patch for openssl
- simplify and clean specfile
- update tarball for icons
- add "ole view", "wordpad", "winhelp"

* Tue Jun 25 2013 dams <dams> 1:1.6-0.rc3.2.mga4
+ Revision: 446507
- fix wrong resize of icons and so bad rendering

* Fri Jun 21 2013 tv <tv> 1:1.6-0.rc3.1.mga4
+ Revision: 445567
- new release

* Sun Jun 16 2013 dams <dams> 1:1.6-0.rc2.1.mga4
+ Revision: 443833
- new version 1.6-rc2

* Fri Jun 07 2013 dams <dams> 1:1.6-0.rc1.3.mga4
+ Revision: 440364
- new version 1.6rc1
- new version 1.6rc1

* Mon Jun 03 2013 tv <tv> 1:1.5.31-3.mga4
+ Revision: 436713
- explicitely BR png-devel

* Mon Jun 03 2013 tv <tv> 1:1.5.31-2.mga4
+ Revision: 436329
- rebuild for new libpng

* Sun May 26 2013 dams <dams> 1:1.5.31-1.mga4
+ Revision: 427787
- update %%file
- new version 1.5.31
- update "provide"

* Thu May 23 2013 dams <dams> 1:1.5.30-1.mga4
+ Revision: 425046
- new version 1.5.30

* Tue Apr 02 2013 dams <dams> 1:1.5.27-1.mga3
+ Revision: 407204
- new version 1.5.27

* Thu Mar 21 2013 dams <dams> 1:1.5.26-1.mga3
+ Revision: 404341
- new version 1.5.26

* Tue Mar 05 2013 dams <dams> 1:1.5.25-1.mga3
+ Revision: 401465
- new version 1.5.25

* Mon Feb 18 2013 dams <dams> 1:1.5.24-1.mga3
+ Revision: 399089
- new version 1.5.24

* Fri Feb 15 2013 dams <dams> 1:1.5.23-1.mga3
+ Revision: 398586
- new version 1.5.23

* Mon Jan 07 2013 dams <dams> 1:1.5.21-1.mga3
+ Revision: 341096
- new version 1.5.21

* Wed Dec 26 2012 dams <dams> 1:1.5.20-1.mga3
+ Revision: 335243
- new version 1.5.20

* Tue Dec 18 2012 anssi <anssi> 1:1.5.19-4.mga3
+ Revision: 332632
- rebuild against new OSMesa
- make error in case of missing buildrequires more clear

* Tue Dec 18 2012 anssi <anssi> 1:1.5.19-3.mga3
+ Revision: 332592
- add explicit buildrequires on libxi-devel which is no longer installed
  implicitely
- make binary packages fail more clearly in case of missing buildrequires

* Tue Dec 18 2012 anssi <anssi> 1:1.5.19-2.mga3
+ Revision: 332518
- re-add the -fno-omit-frame-pointer build flag, as the upstream configure
  workaround does not work properly (this fixes some crash issues)
- use standard define for disabling fortify

* Mon Dec 10 2012 dams <dams> 1:1.5.19-1.mga3
+ Revision: 329407
- new version 1.5.19

* Mon Nov 26 2012 dams <dams> 1:1.5.18-1.mga3
+ Revision: 322122
- new version 1.5.18

* Sun Nov 11 2012 dams <dams> 1:1.5.17-1.mga3
+ Revision: 316966
- new version 1.5.17

* Tue Oct 30 2012 dams <dams> 1:1.5.16-1.mga3
+ Revision: 311626
- new version 1.5.16

* Tue Oct 02 2012 dams <dams> 1:1.5.14-1.mga3
+ Revision: 302211
- new version 1.5.14

* Sat Sep 15 2012 dams <dams> 1:1.5.13-1.mga3
+ Revision: 294127
- new version 1.5.13

* Wed Sep 12 2012 dams <dams> 1:1.5.12-2.mga3
+ Revision: 293158
- disable 'fortify' to prevent crashes (mga#6723)

* Sun Sep 02 2012 dams <dams> 1:1.5.12-1.mga3
+ Revision: 287344
- new version 1.5.12

* Sat Aug 18 2012 dams <dams> 1:1.5.11-1.mga3
+ Revision: 281941
- new version 1.5.11

* Sun Aug 05 2012 anssi <anssi> 1:1.5.10-2.mga3
+ Revision: 278573
- build with DIB engine OpenGL support on Mageia 3+ using libOSMesa
- build with OpenCL passthrough support on Mageia 3+
- drop obsolete xmessage requirement
- add much more requirements on dlopened libraries to ensure all relevant
  functionality works
- drop -fno-omit-frame-pointer workaround, added upstream some time ago

* Wed Aug 01 2012 dams <dams> 1:1.5.10-1.mga3
+ Revision: 277605
- use svg for scalable icons for a better rendering (from fedora)
- new version 1.5.10
+ anssi <anssi>
- add suggests for wine-mono

* Wed Jul 18 2012 dams <dams> 1:1.5.9-1.mga3
+ Revision: 272245
- new version 1.5.9

* Wed Jul 04 2012 dams <dams> 1:1.5.8-1.mga3
+ Revision: 267706
- new version 1.5.8

* Mon Jun 25 2012 dams <dams> 1:1.5.7-1.mga3
+ Revision: 263611
- new version 1.5.7

* Mon Jun 11 2012 dams <dams> 1:1.5.6-1.mga3
+ Revision: 259864
- clean specfile
- new version 1.5.6

* Fri Mar 09 2012 fwang <fwang> 1:1.4-1.mga2
+ Revision: 221865
- new version 1.4 final

* Sun Feb 05 2012 zezinho <zezinho> 1:1.4-0.rc2.1.mga2
+ Revision: 204994
- new version 1.4 rc2

* Sat Dec 31 2011 supp <supp> 1:1.3.36-1.mga2
+ Revision: 189304
- bump to 1.3.36
+ anssi <anssi>
- versionize suggests on gecko and enforce correct version with a %%prep
  check

* Sat Dec 17 2011 zezinho <zezinho> 1:1.3.35-1.mga2
+ Revision: 183137
- new version

* Mon Dec 05 2011 zezinho <zezinho> 1:1.3.34-1.mga2
+ Revision: 177101
- new version

* Wed Oct 26 2011 dmorgan <dmorgan> 1:1.3.30-2.mga2
+ Revision: 158136
- Rebuild because of missing packages

* Thu Oct 20 2011 zezinho <zezinho> 1:1.3.30-1.mga2
+ Revision: 156874
- use realvendor macro
- new version

* Mon Sep 26 2011 fwang <fwang> 1:1.3.29-2.mga2
+ Revision: 147966
- rebuild for missing packages

* Mon Sep 26 2011 fwang <fwang> 1:1.3.29-1.mga2
+ Revision: 147954
- new version 1.3.29

* Mon Sep 12 2011 fwang <fwang> 1:1.3.28-1.mga2
+ Revision: 142563
- new version 1.3.28

* Mon Sep 12 2011 dmorgan <dmorgan> 1:1.3.27-2.mga2
+ Revision: 142533
- Rebuild against new libpng

* Mon Sep 05 2011 fwang <fwang> 1:1.3.27-1.mga2
+ Revision: 138551
- fix init script
- new version 1.3.27
+ ahmad <ahmad>
- Drop the winepulse patches, they're useless now that wine upstream has
  rewritten the audio support, using the Win7 architecture [mmdevapi]
  (thanks to Arthur Taylor for the heads up)
- Drop the, now, redundant BR jackit-devel, upstream dropped support for Jack
- Update to 1.3.25
- Rediff winepulse-winecfg and winepulse-configure.ac patches manually
- Drop obsolete configure options

* Sat Jul 09 2011 ahmad <ahmad> 1:1.3.24-1.mga2
+ Revision: 120937
- Update to 1.3.24

* Sat Jun 25 2011 ahmad <ahmad> 1:1.3.23-1.mga2
+ Revision: 113803
- Update to 1.3.23
- Update winepulse patches
- Add BR valgrind-devel (needed after the valgrind package latest split)

* Fri Jun 10 2011 ahmad <ahmad> 1:1.3.22-1.mga2
+ Revision: 103264
- Update to 1.3.22
- Switch the Source(s) URLs to sourceforge, seems faster than ibiblio
- Update the file list

* Tue Jun 07 2011 ahmad <ahmad> 1:1.3.21-1.mga2
+ Revision: 101529
- Update to 1.3.21
- Use winepulse-configure.ac-1.3.20 from upstream

* Fri May 13 2011 ahmad <ahmad> 1:1.3.20-2.mga1
+ Revision: 98204
- Update to 1.3.20

* Mon May 09 2011 anssi <anssi> 1:1.3.19-2.mga1
+ Revision: 96590
- add suggests on wine64-gecko in wine64
- update old comment in .spec

* Fri Apr 29 2011 ahmad <ahmad> 1:1.3.19-1.mga1
+ Revision: 93485
- Update to 1.3.19
- Rediff the winepulse-configure.ac patch

* Fri Apr 15 2011 ahmad <ahmad> 1:1.3.18-1.mga1
+ Revision: 85844
- update to 1.3.18

* Fri Apr 01 2011 ahmad <ahmad> 1:1.3.17-1.mga1
+ Revision: 79692
- update to 1.3.17

* Sun Mar 20 2011 ahmad <ahmad> 1:1.3.16-5.mga1
+ Revision: 74642
- update to 3.1.16
- rediff winepulse configure.ac patch manually until winepulse upstream catches
  up
- add a requires on libncurses.so.*, winecfg (i586) complains about it in
  x86_64 installs

* Tue Mar 15 2011 ahmad <ahmad> 1:1.3.15-4.mga1
+ Revision: 72084
- add a runtime requires on libfontconfig, wine needs to dlopen libfontconfig
  to make CJK fonts show correctly in winecfg, (still trying to fix mga#235)

* Mon Mar 14 2011 ahmad <ahmad> 1:1.3.15-3.mga1
+ Revision: 71395
- add BR fontconfig-devel, should really fix the winecfg UI translations (mga#235)

* Sun Mar 13 2011 ahmad <ahmad> 1:1.3.15-2.mga1
+ Revision: 70893
- add BR gettext-devel, this should fix the winecfg UI translations (mga#235)
- add more BR

* Fri Mar 04 2011 ahmad <ahmad> 1:1.3.15-1.mga1
+ Revision: 64272
- update to 1.3.15

* Sun Feb 20 2011 ahmad <ahmad> 1:1.3.14-1.mga1
+ Revision: 54479
- update to 1.3.14

* Fri Feb 04 2011 ahmad <ahmad> 1:1.3.13-1.mga1
+ Revision: 46976
- update to 1.3.13

* Mon Jan 24 2011 ahmad <ahmad> 1:1.3.12-1.mga1
+ Revision: 37896
- update the winepulse patches
- rename wine-mdkconf to wine-mgaconf and regenerate it
- drop an old conflicts
- imported package wine

